lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simon Willnauer <simon.willna...@googlemail.com>
Subject Re: Lucene 2.9.x vs 3.x
Date Sun, 16 Jan 2011 08:18:15 GMT
On Sat, Jan 15, 2011 at 2:19 PM, Salman Akram
<salman.akram@northbaysolutions.net> wrote:
> Hi,
>
> SOLR 1.4.1 uses Lucene 2.9.3 by default (I think so). I have few questions
>
> Are there any major performance (or other) improvements in Lucene
> 3.0.3/Lucene 2.9.4?

you can see all major changes here:
http://lucene.apache.org/java/3_0_3/changes/Changes.html

>
> Does 3.x has major compatibility issues moving from 2.9.x?
I assume you mean 3.0.x instead of 3.x ? The answer is no - nothing
major! Its mainly cut over to java 5 like generics and varags etc.
>
> Will SOLR 1.4.1 build work fine with Lucene 3.0.3?

phew... I am not sure but could be though.... that should very easy to
try... just get the sources here
http://svn.apache.org/repos/asf/lucene/solr/tags/release-1.4.1/
change the jar and run a test build

simon
>
> Thanks!
>
> --
> Regards,
>
> Salman Akram
> Senior Software Engineer - Tech Lead
> 80-A, Abu Bakar Block, Garden Town, Pakistan
> Cell: +92-321-4391210
>

Mime
View raw message